<div class="main">
  <div class="groups-wrapper">
    <div class="groups-header header-left header">
      <div class="header-name header-item">Groups</div>
      <div class="header-options-wrapper header-item">
        <div class="header-options" (clickOutside)="closeGroupsDropdown()">
          <div class="icon-wrapper header-options-button"
               [ngClass]="{'clicked': dynamicElements.groupsDropdown}"
               (click)="toggleGroupsDropdown()">
            <i class="material-icons">more_vert</i>
          </div>
          <div class="header-options-list"
               [ngClass]="{'show': dynamicElements.groupsDropdown}"
          >
            <div class="header-option-item" (click)="showCreateGroupPopup()">Create</div>
          </div>
        </div>
      </div>
    </div>
    <div class="groups-list-wrapper">
      <a class="groups-list-item-link" *ngFor="let group of groups;" [routerLink]="['/groups', group.id]">
        <div class="groups-list-item" [ngClass]="{'joined': group.joined}" routerLinkActive="selected">
          {{ group.name }}
        </div>
      </a>
    </div>
  </div>
  <div class="data-wrapper">
    <div *ngIf="!groups[selectedGroupIndex]">nothing to see</div>
    <div class="data-wrapper-main" *ngIf="groups[selectedGroupIndex]">
      <div class="data-header header-right header">
        <div class="header-name header-item">{{ groups[selectedGroupIndex].name }}</div>
        <div class="data-header-members header-item">Members: {{ groups[selectedGroupIndex].members.length }}</div>
        <div class="header-options-wrapper header-item">
          <div class="header-options" (clickOutside)="closeDataDropdown()">
            <div class="icon-wrapper header-options-button"
                 [ngClass]="{'clicked': dynamicElements.dataDropdown}"
                 (click)="toggleDataDropdown()">
              <i class="material-icons">more_vert</i>
            </div>
            <div class="header-options-list"
                 [ngClass]="{'show': dynamicElements.dataDropdown}"
            >
              <div class="header-option-item"
                   *ngIf="groups[selectedGroupIndex].joined; else elseJoinButton"
                   (click)="leaveGroup()"
              >Leave</div>
              <ng-template #elseJoinButton>
                <div class="header-option-item" (click)="joinGroup()">Join</div>
              </ng-template>
            </div>
          </div>
        </div>
      </div>
      <div class="data-message-list" #messageList>
        <!-- below div is scroll helper (auto scroll to bottom) -->
        <div>
          <div class="data-message-wrapper"
               [ngClass]="{'message-self': message.from.id === userId}"
               *ngFor="let message of groups[selectedGroupIndex].messages">
            <div class="data-message-tail"></div>
            <div class="data-message">
              <div class="data-message-dynamic">
                <div class="data-message-from">{{ message.from.username }}</div>
                <div class="data-message-message">{{ message.message }}</div>
              </div>
              <div class="data-message-fixed">
                <div class="data-message-time"
                     [title]="message.time.date"
                >
                  {{ message.time.hours }}:{{ message.time.minutes }} {{ message.time.ampm }}
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="data-message-send-wrapper">
        <div class="data-message-send-input-wrapper">
          <div class="data-message-send-input-outer">
            <div class="data-message-send-input" #message contenteditable (keydown.enter)="sendGroupMessage($event)"></div>
          </div>
        </div>
        <div class="data-message-send-button-wrapper">
          <div class="data-message-send-button icon-wrapper" (click)="sendGroupMessage()">
            <i class="material-icons">send</i>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="create-group-popup-wrapper popup-wrapper"
     *ngIf="dynamicElements.createGroupPopup"
     (clickNotChild)="closeCreateGroupPopup()"
>
  <div class="create-group-popup popup">
    <div class="create-group-popup-form-wrapper">
      <form [formGroup]="createGroupForm" (ngSubmit)="createGroup()">
        <div class="form-group">
          <label for="groupName">Group Name</label>
          <input type="text"
                 id="groupName"
                 class="form-control create-group-popup-input"
                 formControlName="name"
                 appInputFocus/>
        </div>
        <div class="create-group-popup-button-wrapper">
          <button type="submit" class="btn btn-primary">Create</button>
        </div>
      </form>
    </div>
    <div class="create-group-popup-message alert alert-danger"
         *ngIf="createGroupErrorMessage"
    >{{ createGroupErrorMessage }}</div>
  </div>
</div>




<!--<div class="main">-->
  <!--<div class="parent">-->
    <!--<div class="child-1"></div>-->
    <!--<div class="child-2">-->
      <!--<div class="grand-child-1">-->
        <!--<div class="max-div"></div>-->
      <!--</div>-->
      <!--<div class="grand-child-2"></div>-->
    <!--</div>-->
    <!--<div class="child-3"></div>-->
  <!--</div>-->
<!--</div>-->
